VERSION 5.00
Begin VB.Form About 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "About ..."
   ClientHeight    =   4845
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   5775
   Icon            =   "About.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   323
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   385
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSysInfo 
      Caption         =   "&System Info..."
      Height          =   345
      Left            =   4290
      TabIndex        =   2
      Top             =   4320
      Width           =   1245
   End
   Begin VB.CommandButton cmdOK 
      Cancel          =   -1  'True
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   345
      Left            =   4275
      TabIndex        =   1
      Top             =   3900
      Width           =   1260
   End
   Begin VB.PictureBox Picture1 
      Appearance      =   0  'Flat
      BackColor       =   &H00000000&
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   14.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H0000C0C0&
      Height          =   3375
      Left            =   120
      ScaleHeight     =   223
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   367
      TabIndex        =   0
      Top             =   120
      Width           =   5535
   End
   Begin VB.Label lblDisclaimer 
      Caption         =   "This program is freeware!"
      ForeColor       =   &H00000000&
      Height          =   825
      Left            =   120
      TabIndex        =   3
      Top             =   3900
      Width           =   4095
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00FFFFFF&
      Index           =   0
      X1              =   9
      X2              =   378
      Y1              =   249
      Y2              =   249
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00808080&
      BorderStyle     =   6  'Inside Solid
      Index           =   1
      X1              =   8
      X2              =   379
      Y1              =   248
      Y2              =   248
   End
End
Attribute VB_Name = "About"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim Stjerner(300) As Stjerner
Dim Looping As Boolean
Dim Buffer As Buffer

Private Type Stjerner
X As Double
Y As Double
r As Byte
Color As Long
End Type

Private Sub cmdOK_Click()

Looping = False
About.Hide

End Sub

Private Sub cmdSysInfo_Click()

StartSysInfo

End Sub

Private Sub Form_Load()

LoadStjerner

End Sub

Sub LoadStjerner()

Dim A%
For A = 0 To UBound(Stjerner)
Stjerner(A).X = Rnd * Picture1.ScaleWidth
Stjerner(A).Y = Rnd * Picture1.ScaleHeight
Stjerner(A).r = Rnd * 255
Stjerner(A).Color = RGB(Stjerner(A).r, Stjerner(A).r, Stjerner(A).r)
Next

End Sub

Sub LoadBuffer()

Buffer.hdc = CreateCompatibleDC(About.hdc)
Buffer.Picture = CreateCompatibleBitmap(About.hdc, Picture1.ScaleWidth, Picture1.ScaleHeight)
SelectObject Buffer.hdc, Buffer.Picture
Buffer.ScaleWidth = Picture1.ScaleWidth
Buffer.ScaleHeight = Picture1.ScaleHeight

End Sub

Sub UnLoadBuffer()

DeleteDC Buffer.hdc
DeleteObject Buffer.Picture

End Sub

Sub MainLoop()

Dim A%, Y As Double

Show
Looping = True
LoadBuffer

SetBkMode Buffer.hdc, 1
SetTextColor Buffer.hdc, &HC0C0&

Y = Picture1.ScaleHeight

Do Until Looping = False
BitBlt Buffer.hdc, 0, 0, Buffer.ScaleWidth, Buffer.ScaleHeight, 0, 0, 0, vbWhiteness

Y = Y - 0.5

For A = 0 To UBound(Stjerner)
Stjerner(A).Y = Stjerner(A).Y - (Stjerner(A).r / 100)
If Stjerner(A).Y < 0 Then Stjerner(A).Y = Buffer.ScaleHeight
SetPixelV Buffer.hdc, Stjerner(A).X, Stjerner(A).Y, Stjerner(A).Color
Next

Buffer.Font = CreateFont(16, 0, 0, 0, FW_BOLD, False, False, False, OEM_CHARSET, OUT_DEFAULT_PRECIS, CLIP_MASK, DEFAULT_QUALITY, 34, "Times New Roman")
SelectObject Buffer.hdc, Buffer.Font
TextOut Buffer.hdc, 0, Y, "The developer:", 14
DeleteObject Buffer.Font
Buffer.Font = CreateFont(16, 0, 0, 0, FW_NORMAL, False, False, False, OEM_CHARSET, OUT_DEFAULT_PRECIS, CLIP_MASK, DEFAULT_QUALITY, 34, "Times New Roman")
SelectObject Buffer.hdc, Buffer.Font
TextOut Buffer.hdc, 0, Y + 16, "Kristian.S.Stangeland", 21
DeleteObject Buffer.Font
Buffer.Font = CreateFont(16, 0, 0, 0, FW_BOLD, False, False, False, OEM_CHARSET, OUT_DEFAULT_PRECIS, CLIP_MASK, DEFAULT_QUALITY, 34, "Times New Roman")
SelectObject Buffer.hdc, Buffer.Font
TextOut Buffer.hdc, 0, Y + 48, "The beta-testers:", 17
DeleteObject Buffer.Font
Buffer.Font = CreateFont(16, 0, 0, 0, FW_NORMAL, False, False, False, OEM_CHARSET, OUT_DEFAULT_PRECIS, CLIP_MASK, DEFAULT_QUALITY, 34, "Times New Roman")
SelectObject Buffer.hdc, Buffer.Font
TextOut Buffer.hdc, 0, Y + 64, "Kristian.S.Stangeland", 21
TextOut Buffer.hdc, 0, Y + 80, "Christopher Williams", 20
DeleteObject Buffer.Font
Buffer.Font = CreateFont(12, 0, 0, 0, FW_NORMAL, False, False, False, OEM_CHARSET, OUT_DEFAULT_PRECIS, CLIP_MASK, DEFAULT_QUALITY, 34, "Times New Roman")
TextOut Buffer.hdc, 0, Y + 112, "Developed the year 2002", 23
DeleteObject Buffer.Font

If Y < -Buffer.ScaleHeight Then Y = Buffer.ScaleHeight

BitBlt Picture1.hdc, 0, 0, Buffer.ScaleWidth, Buffer.ScaleHeight, Buffer.hdc, 0, 0, vbSrcCopy

Sleep 10
DoEvents
Loop

UnLoadBuffer

End Sub

Private Sub Form_Unload(Cancel As Integer)

Looping = False

End Sub

Public Sub StartSysInfo()
    On Error GoTo SysInfoErr
  
    Dim rc As Long
    Dim SysInfoPath As String

    If GetKeyValue(HKEY_LOCAL_MACHINE, gREGKEYSYSINFO, gREGVALSYSINFO, SysInfoPath) Then
    ElseIf GetKeyValue(HKEY_LOCAL_MACHINE, gREGKEYSYSINFOLOC, gREGVALSYSINFOLOC, SysInfoPath) Then

        If (Dir(SysInfoPath & "\MSINFO32.EXE") <> "") Then
            SysInfoPath = SysInfoPath & "\MSINFO32.EXE"
    
        Else
            GoTo SysInfoErr
        End If

    Else
        GoTo SysInfoErr
    End If
    
    Call Shell(SysInfoPath, vbNormalFocus)
    
    Exit Sub
SysInfoErr:
    MsgBox "System information is unavailable at this time", vbCritical + vbOKOnly, "Error!"
End Sub


